Skip to content

getUserSelectGroupMembers

READ

Get user select group members.

POST /api/v1/users/getUserSelectGroupMembers
curl -X POST '<your-host>/api/v1/users/getUserSelectGroupMembers' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "groupId": "string"
  }'
Response
{
  "groups": [
    {
      "id": "string",
      "name": "string",
      "isEmployeeTypeGroup": true,
      "isCustomerOrgGroup": true,
      "isCustomerTypeGroup": true,
      "isSupplierOrgGroup": true,
      "isSupplierTypeGroup": true,
      "userCount": 0,
      "groupCount": 0,
      "isRoot": true
    }
  ],
  "users": [
    {
      "id": "string",
      "firstName": "string",
      "lastName": "string",
      "fullName": "string",
      "email": "string",
      "avatarUrl": "string"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "groupId": {
      "type": "string"
    }
  },
  "required": [
    "groupId"
  ]
}